DNS automation
v1.6.2
Get domain details
Retrieve details for a single registered domain, same field semantics as the domain list plus the currently delegated nameservers.
GET
/domains/{domain}
Domains
Authentication
Parameters
Name
Type
Format
Required
Description
domain
string
-
Required
Fully Qualified Domain Name.
Request example
GET
curl --request GET \
--url 'https://api.regfish.com/domains/www.example.com' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
Domain details
Response example 200
{
"success": true,
"code": 0,
"response": {
"domain": "www.example.com",
"sld": "example",
"tld": "example",
"favorite": true,
"owner": "example",
"primary_nameserver": "example",
"dnssec_state": "active",
"auto_renew": true,
"cancelled": true,
"registered_at": 1,
"expires_at": 1,
"nameservers": [
"example"
]
}
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
Domain not found
Response example 404
{
"success": false,
"message": "Domain not found",
"error": "Domain not found"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Become part of the community
The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.